The version of fuse that is installed by Yum in CentOS is lower than we need to install s3fs so we are going to install version 2.9  from his sources.

a) Install s3fs dependencies:

yum install gcc libstdc++-devel gcc-c++ curl-devel libxml2-devel openssl-devel mailcap

b) Install fuse from sources

We can download fuse from sourceforge.net site. The last version at the moment is 2.9.0

Download
wget http://sourceforge.net/projects/fuse/files/fuse-2.X/2.9.0/fuse-2.9.0.tar.gz/download 

Uncompress downloaded file

tar xzf fuse-2.8.5.tar.gz

Compile and install
cd fuse-2.8.5
./configure
make
make install

c) Download and install s3fs 

Download
wget http://s3fs.googlecode.com/files/s3fs-1.33.tar.gz

Uncompress
tar -xzf s3fs-1.33.tar.gz

IMPORTANT NOTE: Before you compile and install s3fs, we have to indicate where it will find the newly installed fuse unit. For that we need to run the following command:

export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig

Without this s3fs will not find fuse installation  and shows the following error:

configure: error: Package requirements (fuse >= 2.8.4 libcurl >= 7.0 libxml-2.0 >= 2.6 libcrypto >= 0.9) were not met:
No package ‘fuse’ found

Compile and install s3fs
cd s3fs-1.33
./configure
make
make install

Fuente: linux-en-fedora.com
Anuncios